Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.subsystem
Class SubsystemServer

    java.lang.Object
      com.sshtools.daemon.subsystem.SubsystemServer

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  SftpSubsystemServer

public abstract class SubsystemServer
extends java.lang.Object
implements java.lang.Runnable

DOCUMENT ME!

Field Summary
`protected SessionChannelServer` | `session`

Constructor Summary
`SubsystemServer()` Creates a new SubsystemServer object.

Method Summary
`java.io.InputStream` | `getInputStream()` DOCUMENT ME!
`java.io.OutputStream` | `getOutputStream()` DOCUMENT ME!
`StartStopState` | `getState()` DOCUMENT ME!
`protected abstract void` | `onMessageReceived(SubsystemMessage msg)` DOCUMENT ME!
`protected void` | `registerMessage(int messageId, java.lang.Class implementor)` DOCUMENT ME!
`void` | `run()` DOCUMENT ME!
`protected void` | `sendMessage(SubsystemMessage msg)` DOCUMENT ME!
`void` | `setSession(SessionChannelServer session)`
`void` | `start()` DOCUMENT ME!
`void` | `stop()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    protected SessionChannelServer session

Constructor Detail

### SubsystemServer

    public SubsystemServer()

  Creates a new SubsystemServer object.

Method Detail

### setSession

    public void setSession(SessionChannelServer session)

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### run

    public void run()

  DOCUMENT ME!

  Specified by:
    `run` in interface `java.lang.Runnable`

### start

    public void start()

  DOCUMENT ME!

### stop

    public void stop()

  DOCUMENT ME!

### getState

    public StartStopState getState()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### onMessageReceived

    protected abstract void onMessageReceived(SubsystemMessage msg)

  DOCUMENT ME!

  Parameters:
    `msg` - DOCUMENT ME!

### registerMessage

    protected void registerMessage(int messageId,
                                   java.lang.Class implementor)

  DOCUMENT ME!

  Parameters:
    `messageId` - DOCUMENT ME!
    `implementor` - DOCUMENT ME!

### sendMessage

    protected void sendMessage(SubsystemMessage msg)

  DOCUMENT ME!

  Parameters:
    `msg` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD